Subject: Re: linux-next: manual merge of the usb-gadget tree with the usb tree

From: Greg KH <[email-masked]>
Date: Mon, 16 Mar 2020 09:18:36 +0100

On Mon, Mar 16, 2020 at 02:23:09PM +1100, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the usb-gadget tree got a conflict in:
> 
>   drivers/usb/dwc3/dwc3-meson-g12a.c
> 
> between commit:
> 
>   bce3052f0c16 ("usb: roles: Provide the switch drivers handle to the switch in the API")
> 
> from the usb tree and commit:
> 
>   1e355f21d3fb ("usb: dwc3: Add Amlogic A1 DWC3 glue")
> 
> from the usb-gadget tree.
> 
> I fixed it up (see below) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.

Thanks, this matched up with my merge, I've now done this in my tree.

greg k-h